For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
  • Core Resources
      • POSTRequest an access token
  • Fundraising
LogoLogo
Contact usLogin
Core ResourcesAuth

Request an access token

POST
/oauth/token
POST
/oauth/token
$curl -X POST https://login.givechariot.com/oauth/token \
> -H "Content-Type: application/json" \
> -d '{
> "client_id": "string",
> "client_secret": "string",
> "audience": null,
> "grant_type": null
>}'
200Successful
1{
2 "access_token": "string",
3 "token_type": "string",
4 "expires_in": 1
5}
Obtain an OAuth2 access token using client credentials
Was this page helpful?
Previous

List Donor Advised Funds

Next
Built with

Request

This endpoint expects an object.
client_idstringRequired
The client ID of the application
client_secretstringRequired
The client secret of the application
audience"https://api.givechariot.com"Required
The API identifier
grant_type"client_credentials"Required

Response

Successful response
access_tokenstring
token_typestring
expires_ininteger